Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.security.acl
Class GroupImpl

    java.lang.Object
      java.security.Identity
          weblogic.security.acl.User
              weblogic.security.acl.GroupImpl

All Implemented Interfaces:
  Group, Principal, Serializable

Deprecated. Deprecated in WebLogic Server 7.0. Replaced by the rules-based Authorization Provider in the Pluggable Security Infrastructure.

public class GroupImpl
extends User
implements Group

GroupImpl implements Group, which is used to represent a group of principals. (A principal represents an entity such as an individual user or a company).

Note that Group extends Principal. Thus, either a Principal or a Group can be passed as an argument to methods containing a Principal parameter. For example, you can add either a Principal or a Group to a Group object by calling the object's `addMember` method, passing it the Principal or Group.

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`GroupImpl(String name)` Deprecated. Constructs a group with the specified name.

Method Summary
`boolean` | `addMember(Principal principal)` Deprecated. Adds the specified member to the group.
`boolean` | `isMember(Principal principal)` Deprecated. Returns true if the specified Principal is a member of the group.
`Enumeration` | `members()` Deprecated. Returns an Enumeration of the members in the group.
`boolean` | `removeMember(Principal principal)` Deprecated. Removes the specified member from the group.

Methods inherited from class weblogic.security.acl.User
`getCredential, getRealm, identityEquals, toString`

Methods inherited from class java.security.Identity
`addCertificate, certificates, equals, getInfo, getName, getPublicKey, getScope, hashCode, removeCertificate, setInfo, setPublicKey, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.security.Principal
`equals, getName, hashCode, toString`

Constructor Detail

### GroupImpl

    public GroupImpl(String name)

  Deprecated.
  Constructs a group with the specified name.

Method Detail

### addMember

    public boolean addMember(Principal principal)

  Deprecated.
  Adds the specified member to the group. If the Principal is already a member, the method returns false.

  Specified by:
    `addMember` in interface `Group`
  Parameters:
    `principal` - Principal to add to this group
  Returns:
    true if the member was successfully added, false if the principal is already a member of this group
  Throws:
    `Throws` - IllegalArgumentException if the principal is this group since a group can't contain itself.

### isMember

    public boolean isMember(Principal principal)

  Deprecated.
  Returns true if the specified Principal is a member of the group. This method does a recursive search; if a Principal belongs to a Group that is a member of this Group, the method returns true.

  Specified by:
    `isMember` in interface `Group`
  Parameters:
    `principal` - Principal whose membership is to be checked
  Returns:
    true if the Principal is a member of this group

### members

    public Enumeration members()

  Deprecated.
  Returns an Enumeration of the members in the group. The returned objects can be instances of either Principal or Group (a subclass of Principal).

  Specified by:
    `members` in interface `Group`
  Returns:
    Enumeration of the group members

### removeMember

    public boolean removeMember(Principal principal)

  Deprecated.
  Removes the specified member from the group. If the Principal was not a member of the group, the method returns false.

  Specified by:
    `removeMember` in interface `Group`
  Parameters:
    `principal` - Principal to remove from this group
  Returns:
    true if the principal was removed, false if the principal is not a member of this group.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD